cd "$master"
clear
use input\sp_raw

save output\sp_effort, replace

foreach var of varlist generalsymptomssymptomtime generalsymptomssymptomduration coughsymptomscoughprobe coughsymptomsmucusprobe coughsymptomssputumcolour coughsymptomssputumblood feversymptomsfeverprobe othersymptomschestprobe othersymptomsvanddprobe othersymptomsweightprobe othersymptomsappetiteprobe othersymptomsnightsweatprobe othersymptomswheezingprobe othersymptomsbreathingprobe othersymptomsfaintsprobe asthmasymptomsasthmatype asthmasymptomsasthmacircu asthmasymptomsasthmalength asthmasymptomsasthmaepidsodic asthmasymptomsasthmafood asthmasymptomsasthmaprevious asthmasymptomsasthmastart asthmasymptomsasthmafrequency asthmasymptomsasthmatrigger asthmasymptomsasthmacope asthmasymptomsasthmawake asthmasymptomsasthmawalk asthmasymptomsasthmabreath asthmasymptomsasthmalips medicationhistoryprobeshealthsee medicationhistoryprobesmedtype medicationhistoryprobesmeddurati medicalhistoryhivprobe medicalhistorydiabeteshistory medicalhistorytbhistory medicalhistoryasthmahistory medicalhistorychildasthma medicalhistorymalariatest medicalhistoryallergyprobe medicalhistorypregnantprobe personalhistoryage personalhistorysmoking personalhistorydrinking personalhistoryoccupation  familyhistoryfhbreathing familyhistoryfhasthma familyhistoryfhtb familyhistoryfhcough familyhistoryfhcontant physicalexampulse physicalexambp physicalexamstethofront physicalexamstethoback physicalexamtempthermo physicalexamtemptouch physicalexamthroatexam physicalexamabdoexam {
recode `var' 2=0
recode `var' 3=0
}
 
gen fh_asthma= familyhistoryfhasthma
recode  fh_asthma 0=1 if familyhistoryfhbreathing==1
 
gen stetho_any = physicalexamstethoback
recode stetho_any 0=1 if physicalexamstethofront ==1

egen asthma_history_sum= rsum (generalsymptomssymptomtime medicalhistoryallergyprobe medicationhistoryprobeshealthsee othersymptomswheezingprobe asthmasymptomsasthmalips asthmasymptomsasthmabreath asthmasymptomsasthmawalk asthmasymptomsasthmawake asthmasymptomsasthmacircu othersymptomsweightprobe personalhistorysmoking othersymptomsnightsweatprobe medicalhistorychildasthma asthmasymptomsasthmalength fh_asthma asthmasymptomsasthmafrequency asthmasymptomsasthmaepidsodic coughsymptomsmucusprobe asthmasymptomsasthmatrigger asthmasymptomsasthmaprevious othersymptomschestprobe feversymptomsfeverprobe personalhistoryage medicalhistoryasthmahistory asthmasymptomsasthmatype asthmasymptomsasthmastart  asthmasymptomsasthmacope asthmasymptomsasthmafood personalhistoryoccupation )
gen asthma_history_pc = asthma_history_sum/29

egen exam_sum= rsum( physicalexamthroatexam physicalexampulse physicalexambp physicalexamtempthermo stetho_any)
gen exam_pc= exam_sum/5

gen asthma_effort_sum = asthma_history_sum + exam_sum
gen asthma_effort_pc = asthma_effort_sum/34
 
egen tb_history_sum= rsum ( personalhistoryoccupation familyhistoryfhcontant  generalsymptomssymptomduratio	 coughsymptomsmucusprobe	 coughsymptomssputumblood	othersymptomsweightprobe	othersymptomsnightsweatprobe	othersymptomschestprobe		feversymptomsfeverprobe	generalsymptomssymptomtime	 othersymptomsappetiteprobe		 medicalhistorytbhistory	 familyhistoryfhtb		 othersymptomswheezingprobe	familyhistoryfhcough	 othersymptomsbreathingprobe	personalhistorysmoking	 personalhistorydrinking	 medicationhistoryprobeshealthsee	 medicalhistorydiabeteshistory	 medicalhistoryhivprobe		personalhistoryage	 medicationhistoryprobesmedtype	 medicationhistoryprobesmeddurati )

*** one tb sp used the urti form, need to remove from analysis ***
replace tb_history_sum=. if familyhistoryfhcough==. & spcase==3
 
gen tb_history_pc= tb_history_sum/24

gen tb_effort_sum = tb_history_sum + exam_sum
gen tb_effort_pc = tb_effort_sum/29
 
egen urti_history_sum = rsum (generalsymptomssymptomtime 	generalsymptomssymptomduratio		feversymptomsfeverprobe	 coughsymptomssputumblood	 othersymptomswheezingprobe	 othersymptomsbreathingprobe	 medicationhistoryprobeshealthsee 	 medicalhistoryallergyprobe	personalhistoryage	personalhistorysmoking		personalhistoryoccupation						 coughsymptomsmucusprobe	othersymptomschestprobe		 medicalhistorytbhistory	othersymptomsappetiteprobe )
gen urti_history_pc = urti_history_sum/15 

gen urti_effort_sum = urti_history_sum + exam_sum
gen urti_effort_pc = urti_effort_sum/20


egen malaria_history_sum = rsum ( generalsymptomssymptomduratio	coughsymptomscoughprobe	othersymptomsfaintsprobe	 medicalhistorymalariatest	 othersymptomsvanddprobe	personalhistoryage	personalhistorysmoking		personalhistoryoccupation						 medicationhistoryprobeshealthsee	 	 medicationhistoryprobesmeddurati	othersymptomsappetiteprobe	 othersymptomsbreathingprobe	generalsymptomssymptomtime		)

gen malaria_history_pc = malaria_history_sum/13
gen malaria_effort_sum = malaria_history_sum + exam_sum
gen malaria_effort_pc = malaria_effort_sum/18
 
gen effort_pc = .
replace effort_pc = asthma_effort_pc if spcase==1
replace effort_pc = malaria_effort_pc if spcase==2
replace effort_pc = tb_effort_pc if spcase==3
replace effort_pc = urti_effort_pc if spcase==4
   
save output\sp_effort, replace
   
******** asthma  irt RUN ONLY ON ASTHMA CASES ******
   
use output\sp_effort
   
drop if spcase!=1
save output\asthma_effort, replace
   

irt 2pl  physicalexampulse physicalexambp physicalexamtempthermo stetho_any generalsymptomssymptomtime medicalhistoryallergyprobe medicationhistoryprobeshealthsee othersymptomswheezingprobe     asthmasymptomsasthmacircu  personalhistorysmoking othersymptomsnightsweatprobe medicalhistorychildasthma asthmasymptomsasthmalength fh_asthma asthmasymptomsasthmafrequency asthmasymptomsasthmaepidsodic coughsymptomsmucusprobe asthmasymptomsasthmatrigger asthmasymptomsasthmaprevious othersymptomschestprobe feversymptomsfeverprobe personalhistoryage medicalhistoryasthmahistory asthmasymptomsasthmatype asthmasymptomsasthmastart  asthmasymptomsasthmacope asthmasymptomsasthmafood personalhistoryoccupation 
	  
predict asthma_irt_latent_reduced, latent

save output\asthma_effort, replace


******** malatria  irt RUN ONLY ON MALARIA CASES ******

use output\sp_effort
drop if spcase!=2
save output\malaria_effort, replace
 
irt 1pl physicalexamthroatexam physicalexampulse physicalexambp physicalexamtempthermo generalsymptomssymptomduratio	coughsymptomscoughprobe		 medicalhistorymalariatest	 othersymptomsvanddprobe	personalhistoryage		personalhistoryoccupation	 medicationhistoryprobeshealthsee	  medicationhistoryprobesmeddurati	othersymptomsappetiteprobe	 generalsymptomssymptomtime		

predict malaria_irt_latent_reduced, latent

save output\malaria_effort, replace


 ******** TB  irt RUN ONLY ON TB CASES ******

use output\sp_effort
drop if  spcase!=3
 
  *** one tb sp used the urti form, need to remove from analysis ***
drop if familyhistoryfhcough==.

save output\tb_effort, replace
  

irt 2pl physicalexamthroatexam physicalexampulse physicalexambp physicalexamtempthermo stetho_any personalhistoryoccupation familyhistoryfhcontant  generalsymptomssymptomduratio	 coughsymptomsmucusprobe	 coughsymptomssputumblood	othersymptomsweightprobe	othersymptomsnightsweatprobe	othersymptomschestprobe		feversymptomsfeverprobe	generalsymptomssymptomtime	 othersymptomsappetiteprobe		 medicalhistorytbhistory	 familyhistoryfhtb		 othersymptomswheezingprobe	familyhistoryfhcough	 othersymptomsbreathingprobe		 	 medicationhistoryprobeshealthsee	 	 medicalhistoryhivprobe		personalhistoryage	 medicationhistoryprobesmedtype	 medicationhistoryprobesmeddurati 

predict tb_irt_latent_reduced, latent

save output\tb_effort, replace


 ******** URTI  irt RUN ONLY ON urti CASES ******
use output\sp_effort
drop if  spcase!=4
 
save output\urti_effort, replace

irt 2pl physicalexamthroatexam physicalexampulse physicalexambp physicalexamtempthermo stetho_any generalsymptomssymptomtime 	generalsymptomssymptomduratio		feversymptomsfeverprobe	 	 	 othersymptomsbreathingprobe	 medicationhistoryprobeshealthsee 	 	personalhistoryage			personalhistoryoccupation						 coughsymptomsmucusprobe	othersymptomschestprobe		 	othersymptomsappetiteprobe 


predict urti_irt_latent_reduced , latent

save output\urti_effort, replace

append using output\tb_effort
append using output\malaria_effort
append using output\asthma_effort

save output\overall_sp_effort, replace


gen irt_latent_reduced = .
replace irt_latent_reduced = asthma_irt_latent_reduced if spcase==1
replace irt_latent_reduced = malaria_irt_latent_reduced if spcase==2
replace irt_latent_reduced = tb_irt_latent_reduced if spcase==3
replace irt_latent_reduced = urti_irt_latent_reduced if spcase==4

keep effort_pc irt_latent_reduced interviewercode spcase code metainstanceid
   
save output\overall_sp_effort, replace 
