capture log close
clear
set more off, perm
version 17.0

********************************************************************************
*
* Management and quality of care in Tanzania 
* 	
* Master cleaning and merging do file
*
* Last updated 05/05/2023 by TPJ
*
********************************************************************************


/* You will need to have the following installed to run this analysis:
	1) outreg2
	2) psacalc
	*/

ssc install outreg2
ssc install psacalc

global master "C:\Users\phputpow\Documents\OneDrive - London School of Hygiene and Tropical Medicine\SafeCare\Analysis\EJ management paper\"

** ipc clean
cd "$master\code"
do cleaning_ipc.do

** sp clean
cd "$master\code"
do cleaning_sp.do

** sp effort clean
cd "$master\code"
do cleaning_sp_effort.do

** basesituation clean
cd "$master\code"
do cleaning_basesituation.do

** facility survey clean
cd "$master\code"
do cleaning_facility.do

** health care worker data clean
cd "$master\code"
do cleaning_hcw.do

** safecare assessment clean
cd "$master\code"
do cleaning_safecare.do

** ipc merge
cd "$master\code"
do merge_ipc.do

** sp merge
cd "$master\code"
do merge_sp.do

** rctmanagement merge
cd "$master\code"
do merge_rctmanagement.do

clear

